# +-----------------------------------------------------------------------+
# | pLoader - a Perl photo uploader for Piwigo                            |
# +-----------------------------------------------------------------------+
# | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
# +-----------------------------------------------------------------------+
# | This program is free software; you can redistribute it and/or modify  |
# | it under the terms of the GNU General Public License as published by  |
# | the Free Software Foundation                                          |
# |                                                                       |
# | This program is distributed in the hope that it will be useful, but   |
# | WITHOUT ANY WARRANTY; without even the implied warranty of            |
# | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
# | General Public License for more details.                              |
# |                                                                       |
# | You should have received a copy of the GNU General Public License     |
# | along with this program; if not, write to the Free Software           |
# | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
# | USA.                                                                  |
# +-----------------------------------------------------------------------+

use strict;
use Wx;
use Class::Accessor::Fast;
use Uploader::GUI::wxApp;
use JSON;
use Wx::Locale qw/:default/;
use Data::Dumper;

#$SIG{__DIE__} = \&OnDieHandler;

require '../res/progress_wdr.pl'; 
require '../res/login_wdr.pl'; 
print Dumper \@INC;
eval {
    my $app = Uploader::GUI::wxApp->new(@_);
    $app->MainLoop();
};

sub OnDieHandler {
    my ( $exception ) = @_;
    
    # if triggered in eval
    # return if $^S;
    print $exception;
}
1;


